import { MetaInfo } from 'vue-meta'
export declare function useHead(
  init?: MetaInfo
): {
  head: () => {
    title?: string | undefined
    titleTemplate?: string | ((titleChunk: string) => string) | undefined
    htmlAttrs?:
      | {
          [x: string]: string | string[]
        }
      | undefined
    headAttrs?:
      | {
          [x: string]: string | string[]
        }
      | undefined
    bodyAttrs?:
      | {
          [x: string]: string | string[]
        }
      | undefined
    base?:
      | {
          target: string
          href: string
        }
      | undefined
    meta?:
      | (
          | {
              [x: string]: any
              charset: string
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              httpEquiv: string
              content: string
              template?: ((chunk: string) => string) | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              name: string
              content: string
              template?: ((chunk: string) => string) | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              itemprop: string
              content: string
              template?: ((chunk: string) => string) | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              property: string
              content: string
              template?: ((chunk: string) => string) | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
        )[]
      | undefined
    link?:
      | (
          | {
              [x: string]: any
              rel: string
              crossOrigin?: string | null | undefined
              media?: string | undefined
              nonce?: string | undefined
              referrerPolicy?: string | undefined
              rev?: string | undefined
              type?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              href?: string | undefined
              hreflang?: string | undefined
              callback?: void | undefined
              rel: string
              crossOrigin?: string | null | undefined
              media?: string | undefined
              nonce?: string | undefined
              referrerPolicy?: string | undefined
              rev?: string | undefined
              type?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              vmid: string
              callback: import('vue-meta/types/vue-meta').CallbackFn
              href?: string | undefined
              hreflang?: string | undefined
              rel: string
              crossOrigin?: string | null | undefined
              media?: string | undefined
              nonce?: string | undefined
              referrerPolicy?: string | undefined
              rev?: string | undefined
              type?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
        )[]
      | undefined
    style?:
      | {
          [x: string]: any
          cssText: string
          callback?: import('vue-meta/types/vue-meta').CallbackFn | undefined
          media?: string | undefined
          nonce?: string | undefined
          type?: string | undefined
          vmid?: string | undefined
          once?: boolean | undefined
          skip?: boolean | undefined
          body?: boolean | undefined
          pbody?: boolean | undefined
        }[]
      | undefined
    script?:
      | (
          | {
              [x: string]: any
              innerHTML: string
              type?: string | undefined
              charset?: string | undefined
              async?: boolean | undefined
              defer?: boolean | undefined
              crossOrigin?: string | undefined
              nonce?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              src: string
              callback?: void | undefined
              type?: string | undefined
              charset?: string | undefined
              async?: boolean | undefined
              defer?: boolean | undefined
              crossOrigin?: string | undefined
              nonce?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              vmid: string
              callback: import('vue-meta/types/vue-meta').CallbackFn
              type?: string | undefined
              charset?: string | undefined
              async?: boolean | undefined
              defer?: boolean | undefined
              crossOrigin?: string | undefined
              nonce?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
          | {
              [x: string]: any
              json: {
                [x: string]:
                  | string
                  | number
                  | boolean
                  | {
                      [x: string]:
                        | string
                        | number
                        | boolean
                        | {
                            [x: string]:
                              | string
                              | number
                              | boolean
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | {
                                              [x: string]:
                                                | string
                                                | number
                                                | boolean
                                                | import('vue-meta/types/vue-meta').JsonObj
                                                | import('vue-meta/types/vue-meta').JsonObj[]
                                                | import('vue-meta/types/vue-meta').JsonVal[]
                                                | null
                                            }
                                          | null
                                      }
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }[]
                                    | (
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                      )[]
                                    | null
                                }
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }
                                    | null
                                }[]
                              | (
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }[]
                                  | null
                                )[]
                              | null
                          }
                        | {
                            [x: string]:
                              | string
                              | number
                              | boolean
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }
                                    | null
                                }
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonObj
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | null
                                }[]
                              | (
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                                )[]
                              | null
                          }[]
                        | (
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }[]
                                  | (
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                    )[]
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                              }[]
                            | null
                          )[]
                        | null
                    }
                  | {
                      [x: string]:
                        | string
                        | number
                        | boolean
                        | {
                            [x: string]:
                              | string
                              | number
                              | boolean
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }
                                    | null
                                }
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonObj
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | null
                                }[]
                              | (
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                                )[]
                              | null
                          }
                        | {
                            [x: string]:
                              | string
                              | number
                              | boolean
                              | import('vue-meta/types/vue-meta').JsonVal[]
                              | import('vue-meta/types/vue-meta').JsonObj[]
                              | {
                                  [x: string]:
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonObj
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                    | null
                                }
                              | null
                          }[]
                        | (
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonObj
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | null
                              }[]
                            | null
                          )[]
                        | null
                    }[]
                  | (
                      | string
                      | number
                      | boolean
                      | {
                          [x: string]:
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }[]
                                  | (
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                    )[]
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                              }[]
                            | (
                                | string
                                | number
                                | boolean
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                  }
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | null
                                  }[]
                                | null
                              )[]
                            | null
                        }
                      | {
                          [x: string]:
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonObj
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | null
                              }[]
                            | (
                                | string
                                | number
                                | boolean
                                | import('vue-meta/types/vue-meta').JsonObj[]
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | null
                                  }
                                | null
                              )[]
                            | null
                        }[]
                      | null
                    )[]
                  | null
              }
              type?: string | undefined
              charset?: string | undefined
              async?: boolean | undefined
              defer?: boolean | undefined
              crossOrigin?: string | undefined
              nonce?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }
        )[]
      | undefined
    noscript?:
      | {
          [x: string]: any
          innerHTML: string
          vmid?: string | undefined
          once?: boolean | undefined
          skip?: boolean | undefined
          body?: boolean | undefined
          pbody?: boolean | undefined
        }[]
      | undefined
    __dangerouslyDisableSanitizers?: string[] | undefined
    __dangerouslyDisableSanitizersByTagID?:
      | {
          [x: string]: string[]
        }
      | undefined
    changed?:
      | (<T extends MetaInfo>(
          newInfo: T,
          addedTags: import('vue-meta/types/vue-meta').elements,
          removedTags: import('vue-meta/types/vue-meta').elements
        ) => void)
      | undefined
    afterNavigation?: (<T_1 extends MetaInfo>(newInfo: T_1) => void) | undefined
  }
  useMeta: () => {
    title?: import('@vue/composition-api').Ref<string | undefined> | undefined
    titleTemplate?:
      | import('@vue/composition-api').Ref<
          string | ((titleChunk: string) => string) | undefined
        >
      | undefined
    htmlAttrs?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: string | string[]
            }
          | undefined
        >
      | undefined
    headAttrs?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: string | string[]
            }
          | undefined
        >
      | undefined
    bodyAttrs?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: string | string[]
            }
          | undefined
        >
      | undefined
    base?:
      | import('@vue/composition-api').Ref<
          | {
              target: string
              href: string
            }
          | undefined
        >
      | undefined
    meta?:
      | import('@vue/composition-api').Ref<
          | (
              | {
                  [x: string]: any
                  charset: string
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  httpEquiv: string
                  content: string
                  template?: ((chunk: string) => string) | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  name: string
                  content: string
                  template?: ((chunk: string) => string) | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  itemprop: string
                  content: string
                  template?: ((chunk: string) => string) | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  property: string
                  content: string
                  template?: ((chunk: string) => string) | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
            )[]
          | undefined
        >
      | undefined
    link?:
      | import('@vue/composition-api').Ref<
          | (
              | {
                  [x: string]: any
                  rel: string
                  crossOrigin?: string | null | undefined
                  media?: string | undefined
                  nonce?: string | undefined
                  referrerPolicy?: string | undefined
                  rev?: string | undefined
                  type?: string | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  href?: string | undefined
                  hreflang?: string | undefined
                  callback?: void | undefined
                  rel: string
                  crossOrigin?: string | null | undefined
                  media?: string | undefined
                  nonce?: string | undefined
                  referrerPolicy?: string | undefined
                  rev?: string | undefined
                  type?: string | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  vmid: string
                  callback: import('vue-meta/types/vue-meta').CallbackFn
                  href?: string | undefined
                  hreflang?: string | undefined
                  rel: string
                  crossOrigin?: string | null | undefined
                  media?: string | undefined
                  nonce?: string | undefined
                  referrerPolicy?: string | undefined
                  rev?: string | undefined
                  type?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
            )[]
          | undefined
        >
      | undefined
    style?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: any
              cssText: string
              callback?:
                | import('vue-meta/types/vue-meta').CallbackFn
                | undefined
              media?: string | undefined
              nonce?: string | undefined
              type?: string | undefined
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }[]
          | undefined
        >
      | undefined
    script?:
      | import('@vue/composition-api').Ref<
          | (
              | {
                  [x: string]: any
                  innerHTML: string
                  type?: string | undefined
                  charset?: string | undefined
                  async?: boolean | undefined
                  defer?: boolean | undefined
                  crossOrigin?: string | undefined
                  nonce?: string | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  src: string
                  callback?: void | undefined
                  type?: string | undefined
                  charset?: string | undefined
                  async?: boolean | undefined
                  defer?: boolean | undefined
                  crossOrigin?: string | undefined
                  nonce?: string | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  vmid: string
                  callback: import('vue-meta/types/vue-meta').CallbackFn
                  type?: string | undefined
                  charset?: string | undefined
                  async?: boolean | undefined
                  defer?: boolean | undefined
                  crossOrigin?: string | undefined
                  nonce?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
              | {
                  [x: string]: any
                  json: {
                    [x: string]:
                      | string
                      | number
                      | boolean
                      | {
                          [x: string]:
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | {
                                                  [x: string]:
                                                    | string
                                                    | number
                                                    | boolean
                                                    | import('vue-meta/types/vue-meta').JsonObj
                                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                                    | import('vue-meta/types/vue-meta').JsonVal[]
                                                    | null
                                                }
                                              | null
                                          }
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }[]
                                        | (
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | {
                                                [x: string]:
                                                  | string
                                                  | number
                                                  | boolean
                                                  | import('vue-meta/types/vue-meta').JsonObj
                                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                                  | null
                                              }
                                            | null
                                          )[]
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }[]
                                  | (
                                      | string
                                      | number
                                      | boolean
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | {
                                                [x: string]:
                                                  | string
                                                  | number
                                                  | boolean
                                                  | import('vue-meta/types/vue-meta').JsonObj
                                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                                  | null
                                              }
                                            | null
                                        }
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }[]
                                      | null
                                    )[]
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }[]
                                  | (
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                    )[]
                                  | null
                              }[]
                            | (
                                | string
                                | number
                                | boolean
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | {
                                                [x: string]:
                                                  | string
                                                  | number
                                                  | boolean
                                                  | import('vue-meta/types/vue-meta').JsonObj
                                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                                  | null
                                              }
                                            | null
                                        }
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }[]
                                      | (
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | {
                                              [x: string]:
                                                | string
                                                | number
                                                | boolean
                                                | import('vue-meta/types/vue-meta').JsonObj
                                                | import('vue-meta/types/vue-meta').JsonObj[]
                                                | import('vue-meta/types/vue-meta').JsonVal[]
                                                | null
                                            }
                                          | null
                                        )[]
                                      | null
                                  }
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                  }[]
                                | null
                              )[]
                            | null
                        }
                      | {
                          [x: string]:
                            | string
                            | number
                            | boolean
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | {
                                            [x: string]:
                                              | string
                                              | number
                                              | boolean
                                              | import('vue-meta/types/vue-meta').JsonObj
                                              | import('vue-meta/types/vue-meta').JsonObj[]
                                              | import('vue-meta/types/vue-meta').JsonVal[]
                                              | null
                                          }
                                        | null
                                    }
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }[]
                                  | (
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                    )[]
                                  | null
                              }
                            | {
                                [x: string]:
                                  | string
                                  | number
                                  | boolean
                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                  | {
                                      [x: string]:
                                        | string
                                        | number
                                        | boolean
                                        | import('vue-meta/types/vue-meta').JsonObj
                                        | import('vue-meta/types/vue-meta').JsonObj[]
                                        | import('vue-meta/types/vue-meta').JsonVal[]
                                        | null
                                    }
                                  | null
                              }[]
                            | (
                                | string
                                | number
                                | boolean
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                  }
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | null
                                  }[]
                                | null
                              )[]
                            | null
                        }[]
                      | (
                          | string
                          | number
                          | boolean
                          | {
                              [x: string]:
                                | string
                                | number
                                | boolean
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | {
                                                [x: string]:
                                                  | string
                                                  | number
                                                  | boolean
                                                  | import('vue-meta/types/vue-meta').JsonObj
                                                  | import('vue-meta/types/vue-meta').JsonObj[]
                                                  | import('vue-meta/types/vue-meta').JsonVal[]
                                                  | null
                                              }
                                            | null
                                        }
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }[]
                                      | (
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | {
                                              [x: string]:
                                                | string
                                                | number
                                                | boolean
                                                | import('vue-meta/types/vue-meta').JsonObj
                                                | import('vue-meta/types/vue-meta').JsonObj[]
                                                | import('vue-meta/types/vue-meta').JsonVal[]
                                                | null
                                            }
                                          | null
                                        )[]
                                      | null
                                  }
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                  }[]
                                | (
                                    | string
                                    | number
                                    | boolean
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | {
                                              [x: string]:
                                                | string
                                                | number
                                                | boolean
                                                | import('vue-meta/types/vue-meta').JsonObj
                                                | import('vue-meta/types/vue-meta').JsonObj[]
                                                | import('vue-meta/types/vue-meta').JsonVal[]
                                                | null
                                            }
                                          | null
                                      }
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }[]
                                    | null
                                  )[]
                                | null
                            }
                          | {
                              [x: string]:
                                | string
                                | number
                                | boolean
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | {
                                          [x: string]:
                                            | string
                                            | number
                                            | boolean
                                            | import('vue-meta/types/vue-meta').JsonObj
                                            | import('vue-meta/types/vue-meta').JsonObj[]
                                            | import('vue-meta/types/vue-meta').JsonVal[]
                                            | null
                                        }
                                      | null
                                  }
                                | {
                                    [x: string]:
                                      | string
                                      | number
                                      | boolean
                                      | import('vue-meta/types/vue-meta').JsonObj
                                      | import('vue-meta/types/vue-meta').JsonObj[]
                                      | import('vue-meta/types/vue-meta').JsonVal[]
                                      | null
                                  }[]
                                | (
                                    | string
                                    | number
                                    | boolean
                                    | import('vue-meta/types/vue-meta').JsonObj[]
                                    | {
                                        [x: string]:
                                          | string
                                          | number
                                          | boolean
                                          | import('vue-meta/types/vue-meta').JsonObj
                                          | import('vue-meta/types/vue-meta').JsonObj[]
                                          | import('vue-meta/types/vue-meta').JsonVal[]
                                          | null
                                      }
                                    | null
                                  )[]
                                | null
                            }[]
                          | null
                        )[]
                      | null
                  }
                  type?: string | undefined
                  charset?: string | undefined
                  async?: boolean | undefined
                  defer?: boolean | undefined
                  crossOrigin?: string | undefined
                  nonce?: string | undefined
                  vmid?: string | undefined
                  once?: boolean | undefined
                  skip?: boolean | undefined
                  body?: boolean | undefined
                  pbody?: boolean | undefined
                }
            )[]
          | undefined
        >
      | undefined
    noscript?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: any
              innerHTML: string
              vmid?: string | undefined
              once?: boolean | undefined
              skip?: boolean | undefined
              body?: boolean | undefined
              pbody?: boolean | undefined
            }[]
          | undefined
        >
      | undefined
    __dangerouslyDisableSanitizers?:
      | import('@vue/composition-api').Ref<string[] | undefined>
      | undefined
    __dangerouslyDisableSanitizersByTagID?:
      | import('@vue/composition-api').Ref<
          | {
              [x: string]: string[]
            }
          | undefined
        >
      | undefined
    changed?:
      | import('@vue/composition-api').Ref<
          | (<T extends MetaInfo>(
              newInfo: T,
              addedTags: import('vue-meta/types/vue-meta').elements,
              removedTags: import('vue-meta/types/vue-meta').elements
            ) => void)
          | undefined
        >
      | undefined
    afterNavigation?:
      | import('@vue/composition-api').Ref<
          (<T_1 extends MetaInfo>(newInfo: T_1) => void) | undefined
        >
      | undefined
  }
}
